In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 29:
if [ "x$1" = "x-s" ]; then
^---^ SC2268 (style): Avoid x-prefix in comparisons as it no longer serves a purpose.
Did you mean:
if [ "$1" = "-s" ]; then
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 32:
elif [ "x$1" = "x-v" ]; then
^---^ SC2268 (style): Avoid x-prefix in comparisons as it no longer serves a purpose.
Did you mean:
elif [ "$1" = "-v" ]; then
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 36:
echo "Usage: $(basename $0) [-s] [-v] [pkg1 pkg2 ...]"
^-- SC2086 (info): Double quote to prevent globbing and word splitting.
Did you mean:
echo "Usage: $(basename "$0") [-s] [-v] [pkg1 pkg2 ...]"
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 40:
if [ "x$1" = "x-h" ]; then
^---^ SC2268 (style): Avoid x-prefix in comparisons as it no longer serves a purpose.
Did you mean:
if [ "$1" = "-h" ]; then
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 52:
set $(cd /usr/lib/opkg/info/; for i in *.files-sha256sum; do basename $i .files-sha256sum; done)
^-- SC2046 (warning): Quote this to prevent word splitting.
^--------------------^ SC2164 (warning): Use 'cd ... || exit' or 'cd ... || return' in case cd fails.
^-- SC2086 (info): Double quote to prevent globbing and word splitting.
Did you mean:
set $(cd /usr/lib/opkg/info/ || exit; for i in *.files-sha256sum; do basename "$i" .files-sha256sum; done)
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 57:
if [ \! -f "/usr/lib/opkg/info/$1.files-sha256sum" ]; then
^-- SC2057 (warning): Unknown binary operator.
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 73:
[ $QUIET = yes ] || echo " * Checking package $1:"
^----^ SC2086 (info): Double quote to prevent globbing and word splitting.
Did you mean:
[ "$QUIET" = yes ] || echo " * Checking package $1:"
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 75:
CHECK="`sha256sum -c /usr/lib/opkg/info/$1.files-sha256sum 2> /dev/null`"
^-- SC2006 (style): Use $(...) notation instead of legacy backticks `...`.
^-- SC2086 (info): Double quote to prevent globbing and word splitting.
Did you mean:
CHECK="$(sha256sum -c /usr/lib/opkg/info/"$1".files-sha256sum 2> /dev/null)"
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 78:
if [ $? -ne 0 ] && [ "`cat "/usr/lib/opkg/info/$1.files-sha256sum"`" ]; then
^-- SC2181 (style): Check exit code directly with e.g. 'if ! mycmd;', not indirectly with $?.
^-- SC2006 (style): Use $(...) notation instead of legacy backticks `...`.
Did you mean:
if [ $? -ne 0 ] && [ "$(cat "/usr/lib/opkg/info/$1.files-sha256sum")" ]; then
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 79:
NEWCHECK="`echo "$CHECK" | grep '^.*: OK$'`"
^-- SC2006 (style): Use $(...) notation instead of legacy backticks `...`.
Did you mean:
NEWCHECK="$(echo "$CHECK" | grep '^.*: OK$')"
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 80:
for i in `echo "$CHECK" | sed -n 's|^\(.*\): FAILED$|\1|p'`; do
^-- SC2006 (style): Use $(...) notation instead of legacy backticks `...`.
Did you mean:
for i in $(echo "$CHECK" | sed -n 's|^\(.*\): FAILED$|\1|p'); do
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 81:
if [ "`grep "^$i\$" "/usr/lib/opkg/info/$1.conffiles" 2> /dev/null`" ] || \
^-- SC2006 (style): Use $(...) notation instead of legacy backticks `...`.
Did you mean:
if [ "$(grep "^$i\$" "/usr/lib/opkg/info/$1.conffiles" 2> /dev/null)" ] || \
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 82:
[ "`echo "$i" | grep "^/etc/uci-defaults/"`" ]; then
^-- SC2006 (style): Use $(...) notation instead of legacy backticks `...`.
Did you mean:
[ "$(echo "$i" | grep "^/etc/uci-defaults/")" ]; then
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 94:
[ $QUIET = yes ] || [ -z "`cat "/usr/lib/opkg/info/$1.files-sha256sum"`" ] || echo "$CHECK" | sed 's|^| - |'
^----^ SC2086 (info): Double quote to prevent globbing and word splitting.
^-- SC2006 (style): Use $(...) notation instead of legacy backticks `...`.
Did you mean:
[ "$QUIET" = yes ] || [ -z "$(cat "/usr/lib/opkg/info/$1.files-sha256sum")" ] || echo "$CHECK" | sed 's|^| - |'
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 95:
[ $QUIET = yes ] || echo " * Package $1 is ok"
^----^ SC2086 (info): Double quote to prevent globbing and word splitting.
Did you mean:
[ "$QUIET" = yes ] || echo " * Package $1 is ok"
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 96:
[ $QUIET = yes ] || echo
^----^ SC2086 (info): Double quote to prevent globbing and word splitting.
Did you mean:
[ "$QUIET" = yes ] || echo
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 98:
if [ $QUIET = yes ]; then
^----^ SC2086 (info): Double quote to prevent globbing and word splitting.
Did you mean:
if [ "$QUIET" = yes ]; then
In /logs/firmware/unblob_extracted/firmware_extract/1568982-13971496.squashfs_v4_le_extract/sbin/pkg_check line 110:
for i in `echo "$CHECK" | sed -n 's|^\(.*\): FAILED$|\1|p'`; do
^-- SC2006 (style): Use $(...) notation instead of legacy backticks `...`.
Did you mean:
for i in $(echo "$CHECK" | sed -n 's|^\(.*\): FAILED$|\1|p'); do
For more information:
https://www.shellcheck.net/wiki/SC2046 -- Quote this to prevent word splitt...
https://www.shellcheck.net/wiki/SC2057 -- Unknown binary operator.
https://www.shellcheck.net/wiki/SC2164 -- Use 'cd ... || exit' or 'cd ... |...